Subject: Re: [PATCH net-next] net: skbuff: sprinkle more __GFP_NOWARN on ingress allocs

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Aug 2024 07:48:22 -0700

On Fri, 2 Aug 2024 12:52:06 +0800 Jason Xing wrote:
> > and there's nothing we can do about that. So no point
> > printing warnings.  
> 
> As you said, we cannot handle it because of that flag, but I wonder if
> we at least let users/admins know about this failure, like: adding MIB
> counter or trace_alloc_skb() tracepoint, which can also avoid printing
> too many useless/necessary warnings. Or else, people won't know what
> exactly happens in the kernel.

Hm, maybe... I prefer not to add counters and trace points upstream
until they have sat for a few months in production and proven their
usefulness.

We also have a driver-level, per device counter already:
https://docs.kernel.org/next/networking/netlink_spec/netdev.html#rx-alloc-fail-uint
and I'm pretty sure system level OOM tracking will indicate severe
OOM conditions as well.